using PSO2SERVER.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PSO2SERVER.Protocol.Packets
{
    public class CharacterUndeletionPacket : Packet
    {
        public enum UndeletionStatus : uint
        {
            /// Character was already deleted.
            AlreadyDeleted,
            /// Character deletion canceled.
            Success,
        }

        public UndeletionStatus status { get; set; }

        public CharacterUndeletionPacket(UndeletionStatus status)
        {
            this.status = status;
        }

        #region implemented abstract members of Packet

        public override byte[] Build()
        {
            var pkt = new PacketWriter();
            pkt.Write((uint)status);
            return pkt.ToArray();
        }

        public override PacketHeader GetHeader()
        {
            return new PacketHeader(0x11, 0x91, PacketFlags.None);
        }

        #endregion
    }
}